Loading...
Searching...
No Matches
pappso::PeptideInterface Class Referenceabstract

`#include <peptideinterface.h>`

Inheritance diagram for pappso::PeptideInterface:

## Public Member Functions

virtual const QString | getSequence () const =0
| amino acid sequence without modification
virtual bool | isPalindrome () const =0
| tells if the peptide sequence is a palindrome
virtual const QString | getSequenceLi () const
| amino acid sequence without modification where L are replaced by I
virtual unsigned int | size () const =0
virtual const QString | getName () const
virtual const QString | getFormula (unsigned int charge) const final
virtual bool | matchPeak (PrecisionPtr precision, pappso_double peak_mz, unsigned int charge) const final
Public Member Functions inherited from pappso::Ion
| Ion ()
| ~Ion ()
virtual pappso_double | getMass () const =0
virtual pappso_double | getMz (unsigned int charge) const final
Public Member Functions inherited from pappso::AtomNumberInterface
virtual int | getNumberOfAtom (AtomIsotopeSurvey atom) const =0
| get the number of atom C, O, N, H in the molecule
virtual int | getNumberOfIsotope (Isotope isotope) const =0
| get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule

## Detailed Description

Definition at line 42 of file peptideinterface.h.

## Member Function Documentation

## getFormula()

const QString pappso::PeptideInterface::getFormula | ( | unsigned int | charge | ) | const

final virtual

Definition at line 36 of file peptideinterface.cpp.

{
QString carbon(
QString("C %1").arg(this->getNumberOfAtom(AtomIsotopeSurvey::C) -
this->getNumberOfIsotope(Isotope::C13)));
if(this->getNumberOfIsotope(Isotope::C13) > 0)
{
carbon.append(
QString(" (13)C %1").arg(this->getNumberOfIsotope(Isotope::C13)));
}
QString hydrogen(
QString("H %1").arg(this->getNumberOfAtom(AtomIsotopeSurvey::H) + charge -
this->getNumberOfIsotope(Isotope::H2)));
if(this->getNumberOfIsotope(Isotope::H2) > 0)
{
hydrogen.append(
QString(" (2)H %1").arg(this->getNumberOfIsotope(Isotope::H2)));
}
QString oxygen(
QString("O %1").arg(this->getNumberOfAtom(AtomIsotopeSurvey::O) -
this->getNumberOfIsotope(Isotope::O17) -
this->getNumberOfIsotope(Isotope::O18)));
if(this->getNumberOfIsotope(Isotope::O17) > 0)
{
oxygen.append(
QString(" (17)O %1").arg(this->getNumberOfIsotope(Isotope::O17)));
}
if(this->getNumberOfIsotope(Isotope::O18) > 0)
{
oxygen.append(
QString(" (18)O %1").arg(this->getNumberOfIsotope(Isotope::O18)));
}
QString nitrogen(
QString("N %1").arg(this->getNumberOfAtom(AtomIsotopeSurvey::N) -
this->getNumberOfIsotope(Isotope::N15)));
if(this->getNumberOfIsotope(Isotope::N15) > 0)
{
nitrogen.append(
QString(" (15)N %1").arg(this->getNumberOfIsotope(Isotope::N15)));
}
QString sulfur(
QString("S %1").arg(this->getNumberOfAtom(AtomIsotopeSurvey::S) -
this->getNumberOfIsotope(Isotope::S33) -
this->getNumberOfIsotope(Isotope::S34) -
this->getNumberOfIsotope(Isotope::S36)));
if(this->getNumberOfIsotope(Isotope::S33) > 0)
{
sulfur.append(
QString(" (33)S %1").arg(this->getNumberOfIsotope(Isotope::S33)));
}
if(this->getNumberOfIsotope(Isotope::S34) > 0)
{
sulfur.append(
QString(" (34)S %1").arg(this->getNumberOfIsotope(Isotope::S34)));
}
if(this->getNumberOfIsotope(Isotope::S36) > 0)
{
sulfur.append(
QString(" (36)S %1").arg(this->getNumberOfIsotope(Isotope::S36)));
}
return QString("%1 %2 %3 %4 %5")
.arg(carbon)
.arg(hydrogen)
.arg(oxygen)
.arg(nitrogen)
.arg(sulfur);
}
pappso::AtomNumberInterface::getNumberOfIsotope
virtual int getNumberOfIsotope(Isotope isotope) const =0
get the number of isotopes C13, H2, O17, O18, N15, S33, S34, S36 in the molecule
pappso::AtomNumberInterface::getNumberOfAtom
virtual int getNumberOfAtom(AtomIsotopeSurvey atom) const =0
get the number of atom C, O, N, H in the molecule
pappso::AtomIsotopeSurvey::C
@ C
pappso::AtomIsotopeSurvey::S
@ S
pappso::AtomIsotopeSurvey::N
@ N
pappso::AtomIsotopeSurvey::H
@ H
pappso::AtomIsotopeSurvey::O
@ O
pappso::Isotope::S36
@ S36
pappso::Isotope::C13
@ C13
pappso::Isotope::N15
@ N15
pappso::Isotope::S33
@ S33
pappso::Isotope::O18
@ O18
pappso::Isotope::O17
@ O17
pappso::Isotope::S34
@ S34
pappso::Isotope::H2
@ H2

References pappso::C, pappso::C13, pappso::AtomNumberInterface::getNumberOfAtom(), pappso::AtomNumberInterface::getNumberOfIsotope(), pappso::H, pappso::H2, pappso::N, pappso::N15, pappso::O, pappso::O17, pappso::O18, pappso::S, pappso::S33, pappso::S34, and pappso::S36.

## getName()

virtual const QString pappso::PeptideInterface::getName | ( |  | ) | const

inline virtual

Reimplemented in pappso::PeptideFragmentIon.

Definition at line 60 of file peptideinterface.h.

{
return QString("unknown");
};

## getSequence()

virtual const QString pappso::PeptideInterface::getSequence | ( |  | ) | const

pure virtual

amino acid sequence without modification

Implemented in pappso::Peptide, pappso::PeptideFragment, pappso::PeptideFragmentIon, and pappso::PeptideNaturalIsotope.

Referenced by getSequenceLi().

## getSequenceLi()

const QString pappso::PeptideInterface::getSequenceLi | ( |  | ) | const

virtual

amino acid sequence without modification where L are replaced by I

Definition at line 31 of file peptideinterface.cpp.

{
return QString(this->getSequence()).replace("L", "I");
}
pappso::PeptideInterface::getSequence
virtual const QString getSequence() const =0
amino acid sequence without modification

References getSequence().

## isPalindrome()

virtual bool pappso::PeptideInterface::isPalindrome | ( |  | ) | const

pure virtual

tells if the peptide sequence is a palindrome

Implemented in pappso::Peptide, pappso::PeptideFragment, pappso::PeptideFragmentIon, and pappso::PeptideNaturalIsotope.

## matchPeak()

virtual bool pappso::PeptideInterface::matchPeak | ( | PrecisionPtr | precision,
|  | pappso_double | peak_mz,
|  | unsigned int | charge
| ) |  | const

inline final virtual

Definition at line 68 of file peptideinterface.h.

{
return (MzRange((getMass() + (MHPLUS * charge)) / charge, precision)
.contains(peak_mz));
}
pappso::Ion::getMass
virtual pappso_double getMass() const =0
pappso::MHPLUS
const pappso_double MHPLUS(1.007276466879)

References pappso::MHPLUS().

## size()

virtual unsigned int pappso::PeptideInterface::size | ( |  | ) | const

pure virtual

Implemented in pappso::Peptide, pappso::PeptideFragment, pappso::PeptideFragmentIon, and pappso::PeptideNaturalIsotope.

The documentation for this class was generated from the following files:

- pappsomspp/peptide/peptideinterface.h
- pappsomspp/peptide/peptideinterface.cpp